Subject: bug#5811: 23.1.94; Emacs Nextstep port crashes after graphical yes-or-no-p

From: David Engster <[email-masked]>
Date: Tue, 20 Apr 2010 10:33:16 +0200

Adrian Robert <[email-masked]> writes:
> On Apr 6, 2010, at 4:17 PM, Adrian Robert wrote:
>
>>> Maybe you made a 32bit binary?
>>> 
>>> When I compile with
>>> 
>>> CC="gcc -arch i386" ./configure --with-ns
>>> 
>>> the resulting binary does not crash on the test case. So it appears to
>>> be a problem with 64bit only.
>> 
>> Hmm, possibly.  Anyway this suggests maybe it is also some sort of signature and/or argument-passing issue.  The previous fix just corrected some kind misalignment problem due to the wrong size for the return type being allocated on the stack.
>
>
> This is roughly what it seemed to be.  Here is a patch that fixes this issue for me running 10.6.2 64-bit.  (I tried to look for other problems of this sort in the source but did not find any -- though that doesn't mean they don't exist!)

Sorry for the late reply.  I just checked with the latest pretest
(23.1.96) and the bug is gone.  Thanks!

-David